12

This is similar to Xenial repository does not have a Release file, but the fix in there does not work for me.

When running sudo apt-get update on a few-day old installation of Ubuntu 16.04, it returns the following error messages:

    $ sudo apt-get update
Get:1 http://archive.ubuntu.com/ubuntu xenial InRelease [247 kB]
Get:2 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Get:5 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages [1,201 kB]
Get:6 http://archive.ubuntu.com/ubuntu xenial/main i386 Packages [1,196 kB]
Get:7 http://archive.ubuntu.com/ubuntu xenial/main Translation-en_GB [426 kB]
Get:8 http://archive.ubuntu.com/ubuntu xenial/main Translation-en [568 kB]
Get:9 http://archive.ubuntu.com/ubuntu xenial/main amd64 DEP-11 Metadata [733 kB]
Get:10 http://archive.ubuntu.com/ubuntu xenial/main DEP-11 64x64 Icons [409 kB]
Get:11 http://archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages [8,344 B]
Get:12 http://archive.ubuntu.com/ubuntu xenial/restricted i386 Packages [8,684 B]
Get:13 http://archive.ubuntu.com/ubuntu xenial/restricted Translation-en_GB [2,556 B]
Get:14 http://archive.ubuntu.com/ubuntu xenial/restricted Translation-en [2,908 B]
Get:15 http://archive.ubuntu.com/ubuntu xenial/restricted amd64 DEP-11 Metadata [186 B]
Get:16 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [7,532 kB]
Get:17 http://archive.ubuntu.com/ubuntu xenial/universe i386 Packages [7,512 kB]                                                    
Get:18 http://archive.ubuntu.com/ubuntu xenial/universe Translation-en_GB [3,040 kB]                                                
Get:19 http://archive.ubuntu.com/ubuntu xenial/universe Translation-en [4,354 kB]                                                   
Get:20 http://archive.ubuntu.com/ubuntu xenial/universe amd64 DEP-11 Metadata [3,410 kB]                                            
Get:21 http://archive.ubuntu.com/ubuntu xenial/universe DEP-11 64x64 Icons [7,448 kB]                                               
Get:22 http://archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [144 kB]                                                   
Get:23 http://archive.ubuntu.com/ubuntu xenial/multiverse i386 Packages [140 kB]                                                    
Get:24 http://archive.ubuntu.com/ubuntu xenial/multiverse Translation-en_GB [88.1 kB]                                               
Get:25 http://archive.ubuntu.com/ubuntu xenial/multiverse Translation-en [106 kB]                                                   
Get:26 http://archive.ubuntu.com/ubuntu xenial/multiverse amd64 DEP-11 Metadata [63.8 kB]                                           
Get:27 http://archive.ubuntu.com/ubuntu xenial/multiverse DEP-11 64x64 Icons [230 kB]                                               
Get:28 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [700 kB]                                                 
Get:29 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [654 kB]                                                  
Get:30 http://archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [292 kB]                                                 
Get:31 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [308 kB]                                          
Get:32 http://archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [221 kB]                                             
Get:33 http://archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [7,604 B]                                          
Get:34 http://archive.ubuntu.com/ubuntu xenial-updates/restricted i386 Packages [7,604 B]                                           
Get:35 http://archive.ubuntu.com/ubuntu xenial-updates/restricted Translation-en [2,272 B]                                          
Get:36 http://archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 DEP-11 Metadata [157 B]                                     
Get:37 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [574 kB]                                             
Get:38 http://archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [535 kB]                                              
Get:39 http://archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [232 kB]                                             
Get:40 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [185 kB]                                      
Get:41 http://archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [262 kB]                                         
Get:42 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [16.2 kB]                                          
Get:43 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 Packages [15.3 kB]                                           
Get:44 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse Translation-en [8,052 B]                                          
Get:45 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [5,888 B]                                   
Get:46 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse DEP-11 64x64 Icons [14.3 kB]                                      
Get:47 http://archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [4,840 B]                                              
Get:48 http://archive.ubuntu.com/ubuntu xenial-backports/main i386 Packages [4,832 B]                                               
Get:49 http://archive.ubuntu.com/ubuntu xenial-backports/main Translation-en [3,220 B]                                              
Get:50 http://archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3,324 B]                                       
Get:51 http://archive.ubuntu.com/ubuntu xenial-backports/main DEP-11 64x64 Icons [29 B]                                             
Get:52 http://archive.ubuntu.com/ubuntu xenial-backports/restricted amd64 DEP-11 Metadata [194 B]                                   
Get:53 http://archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [6,612 B]                                          
Get:54 http://archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages [6,600 B]                                           
Get:55 http://archive.ubuntu.com/ubuntu xenial-backports/universe Translation-en [3,768 B]                                          
Get:56 http://archive.ubuntu.com/ubuntu xenial-backports/universe amd64 DEP-11 Metadata [4,712 B]                                   
Get:57 http://archive.ubuntu.com/ubuntu xenial-backports/universe DEP-11 64x64 Icons [2,716 B]                                      
Get:58 http://archive.ubuntu.com/ubuntu xenial-backports/multiverse amd64 DEP-11 Metadata [216 B]                                   
Get:59 http://archive.ubuntu.com/ubuntu xenial-backports/multiverse DEP-11 64x64 Icons [29 B]                                       
Get:60 http://archive.ubuntu.com/ubuntu xenial-security/main amd64 Packages [425 kB]                                                
Get:61 http://archive.ubuntu.com/ubuntu xenial-security/main i386 Packages [385 kB]                                                 
Get:62 http://archive.ubuntu.com/ubuntu xenial-security/main Translation-en [186 kB]                                                
Get:63 http://archive.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [62.8 kB]                                        
Get:64 http://archive.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [66.2 kB]                                           
Get:65 http://archive.ubuntu.com/ubuntu xenial-security/restricted amd64 Packages [7,224 B]                                         
Get:66 http://archive.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [7,224 B]                                          
Get:67 http://archive.ubuntu.com/ubuntu xenial-security/restricted Translation-en [2,152 B]                                         
Get:68 http://archive.ubuntu.com/ubuntu xenial-security/restricted amd64 DEP-11 Metadata [200 B]                                    
Get:69 http://archive.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [196 kB]                                            
Get:70 http://archive.ubuntu.com/ubuntu xenial-security/universe i386 Packages [161 kB]                                             
Get:71 http://archive.ubuntu.com/ubuntu xenial-security/universe Translation-en [101 kB]                                            
Get:72 http://archive.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [51.3 kB]                                    
Get:73 http://archive.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [85.1 kB]                                       
Get:74 http://archive.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [3,208 B]                                         
Get:75 http://archive.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages [3,380 B]                                          
Get:76 http://archive.ubuntu.com/ubuntu xenial-security/multiverse Translation-en [1,408 B]                                         
Get:77 http://archive.ubuntu.com/ubuntu xenial-security/multiverse amd64 DEP-11 Metadata [212 B]                                    
Get:78 http://archive.ubuntu.com/ubuntu xenial-security/multiverse DEP-11 64x64 Icons [29 B]                                        
Fetched 45.0 MB in 28s (1,577 kB/s)                                                                                                 
Reading package lists... Error!
E: Read error - read (5: Input/output error)
W: You may want to run apt-get update to correct these problems
E: The package cache file is corrupted

/etc/apt/sources/list:

# deb cdrom:[Ubuntu 16.04.3 LTS _Xenial Xerus_ - Release amd64 (20170801)]/ xenial main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://archive.ubuntu.com/ubuntu xenial main restricted
# deb-src http://gb.archive.ubuntu.com/ubuntu/ xenial main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu xenial-updates main restricted
# deb-src http://gb.archive.ubuntu.com/ubuntu/ xenial-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu xenial universe
# deb-src http://gb.archive.ubuntu.com/ubuntu/ xenial universe
deb http://archive.ubuntu.com/ubuntu xenial-updates universe
# deb-src http://gb.archive.ubuntu.com/ubuntu/ xenial-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu xenial multiverse
# deb-src http://gb.archive.ubuntu.com/ubuntu/ xenial multiverse
deb http://archive.ubuntu.com/ubuntu xenial-updates multiverse
# deb-src http://gb.archive.ubuntu.com/ubuntu/ xenial-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse
# deb-src http://gb.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu xenial partner
# deb-src http://archive.canonical.com/ubuntu xenial partner

deb http://archive.ubuntu.com/ubuntu xenial-security main restricted
# deb-src http://security.ubuntu.com/ubuntu xenial-security main restricted
deb http://archive.ubuntu.com/ubuntu xenial-security universe
# deb-src http://security.ubuntu.com/ubuntu xenial-security universe
deb http://archive.ubuntu.com/ubuntu xenial-security multiverse
deb http://archive.ubuntu.com xenial universe
# deb-src http://archive.ubuntu.com xenial universe
# deb-src http://security.ubuntu.com/ubuntu xenial-security multiverse
$ grep -nwFe Release /etc/apt/sources.list{,.d/*.list}
/etc/apt/sources.list:1:# deb cdrom:[Ubuntu 16.04.3 LTS _Xenial Xerus_ - Release amd64 (20170801)]/ xenial main restricted

I have tried sudo rm /var/lib/apt/lists/* and my /etc/apt/sources/list already has line 52 commented out, and line 54 doesn't exist. (Both solutions I've found on this and other forums).

  • Could you please edit your question to include the full, verbatim output of the terminal command LC_MESSAGES=POSIX apt-get update? Thanks. – David Foerster Jan 16 '18 at 19:00
  • @DavidFoerster There you go. – Adoria298 Jan 16 '18 at 19:23
  • http://archive.ubuntu.com xenial Release doesn't refer to an existing package repository. Could you please edit your question to include the content of /etc/apt/sources.list and the output of grep -nwFe Release /etc/apt/sources.list{,.d/*.list}? – David Foerster Jan 16 '18 at 19:34
  • @DavidFoerster Added what you requested. – Adoria298 Jan 16 '18 at 19:42
  • 4
    To the close voters: It's unclear to me how this question is unclear. – Gunnar Hjalmarsson Jan 19 '18 at 1:04
14

The third line from the bottom in your /etc/apt/sources.list seems to be wrong:

deb http://archive.ubuntu.com xenial universe

I think that line is what's causing the error, so I'd suggest that you remove it.

Edit:

After doing so there may be a need to clean up the package cache, which you can do by running:

sudo rm /var/lib/apt/lists/*

and then:

sudo apt update
  • 5
    I have voted to reopen the above question which was mistakenly closed for being unclear which it isn't. – karel Jan 19 '18 at 7:06
  • 2
    I'm getting the same error. Seems to be due to Ubuntu 17.04 being unsupported now. wiki.ubuntu.com/ZestyZapus/ReleaseNotes – Morgan Christiansson Jan 19 '18 at 16:47
  • 1
    @MorganChristiansson: That sounds like a different issue to me, even if the error messages look similar. – Gunnar Hjalmarsson Jan 19 '18 at 17:08
  • Having used nano to edit and remove the line stated, sudo apt-get update now returns E: The package cache file is corrupted. – Adoria298 Jan 20 '18 at 12:23
  • 1
    @Adoria298: Please see my edited answer. – Gunnar Hjalmarsson Jan 20 '18 at 13:08
4

In my case the issue was really dumb. I had no network access outside my server. It took me quite a while to realize that was my problem ;-)

  • honestly "does not have a release file" is not the message that should be conveyed. it draws a conclusion instead of stating fact. "unable to download release file" would be precise. not your bad, someone else's bad. Thanks for posting your duh moment. ;) – TheSatinKnight May 31 at 21:41
0

A proxy could be set

Look in

  • /etc/apt/apt.conf
  • /etc/apt/apt.conf.d
  • http_proxy environment variable

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.